get
https://EXCHANGE-REGION-ENDPOINT-URL.com/v1/orders/uuids
Request Order List by uuid or identifiers. (Max.100)
Request Parameters
Request order using uuid(or identifier)Check the order status to request based on market id (Symbol)
- Open Order List (
v1/orders/open)- Closed OrderList (
v1/orders/closed)
*Use this endpoint to request orders sorted by time.
| Name | Description | Type |
|---|---|---|
| market | Market ID | String |
| uuids[]* | uuid Order List (Max. 100) | Array[String] |
| identifiers[]* | identifier Order List (Max. 100) *Either uuids or identifiers field is required, and you cannot use both fields simultaneously. | Array[String] |
| order_by | Sorting method
| String |
*It is a required field.
Response
| Name | Description | Type |
|---|---|---|
| uuid | Order unique uuid | String |
| side | Order type | String |
| ord_type | Order Method
| String |
| price | Currency Price at the Time of Order | NumberString |
| state | Order Status
| String |
| market | Market ID | String |
| created_at | Order Generation Time | DateString |
| volume | User Input Order Volume | NumberString |
| remaining_volume | Remaining Order Volume after Trade | NumberString |
| reserved_fee | Ratio Reserved as Fees | NumberString |
| remaining_fee | Remaining Fees | NumberString |
| paid_fee | Used Fees | NumberString |
| locked | Ratio being used in Transactions | NumberString |
| executed_volume | Traded Volume | NumberString |
| executed_funds | Executed Volume | NumberString |
| trades_count | The number of Transactions in the order | Integer |
| time_in_force | IOC, FOK, Post Only settings | String |
| identifier | User custom value for query *Provided only for orders created after October 18, 2024 | String |
| smp_type | SMP (Self-Match Prevention) Type | String |
| prevented_volume | Total cancelled volume by SMP | NumberString |
| prevented_locked | (Buy) The amount canceled due to the Self-Match Prevention (SMP) setting. (Sell) The volume canceled due to the Self-Match Prevention (SMP) setting | NumberString |
*Null value Fields are excluded from the response. (e.g., in the case of an order without IOC or FOK settings, the time_in_force field will not be included in the response.)
